summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-10-07 11:59:55 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2016-10-07 12:02:25 -0500
commit934586f4578b00b54c4ae2d06443064ff7ef10c5 (patch)
tree324168bd1fe0df30bdd2da74c663ec7017fd6619
parentd7321f8223363ac26878a22d1fd1f04c201732fe (diff)
remove override as no longer needed.
Change-Id: I5f1828067cfbdab225b61d449fbdae98fc37e0e6 Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
-rwxr-xr-xci/00-maasdeploy.sh3
-rwxr-xr-xci/02-deploybundle.sh3
-rw-r--r--ci/config_tpl/bundle_tpl/bundle.yaml2
3 files changed, 6 insertions, 2 deletions
diff --git a/ci/00-maasdeploy.sh b/ci/00-maasdeploy.sh
index 48e16d43..7433438b 100755
--- a/ci/00-maasdeploy.sh
+++ b/ci/00-maasdeploy.sh
@@ -6,6 +6,7 @@ virtinstall=0
labname=$1
#install the packages needed
+sudo apt-add-repository ppa:opnfv-team/proposed -y
sudo apt-add-repository ppa:maas-deployers/stable -y
sudo apt-add-repository ppa:juju/stable -y
sudo apt-add-repository ppa:maas/stable -y
@@ -14,7 +15,7 @@ sudo apt-get update -y
sudo apt-get dist-upgrade -y
sudo apt-get install openssh-server bzr git maas-deployer juju juju-deployer \
maas-cli python-pip python-psutil python-openstackclient \
- python-congressclient gsutil charm-tools -y
+ python-congressclient gsutil charm-tools pastebinit -y
#first parameter should be custom and second should be either
# absolute location of file (including file name) or url of the
diff --git a/ci/02-deploybundle.sh b/ci/02-deploybundle.sh
index 3b5f7e18..9676d8d1 100755
--- a/ci/02-deploybundle.sh
+++ b/ci/02-deploybundle.sh
@@ -104,6 +104,9 @@ fi
#lets generate the bundle for all target using genBundle.py
python genBundle.py -l deployconfig.yaml -s $var > bundles.yaml
+#keep the back in cloud for later debugging.
+pastebinit bundles.yaml || true
+
echo "... Deployment Started ...."
juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack"-nodes
diff --git a/ci/config_tpl/bundle_tpl/bundle.yaml b/ci/config_tpl/bundle_tpl/bundle.yaml
index c9e8bdf8..02733da3 100644
--- a/ci/config_tpl/bundle_tpl/bundle.yaml
+++ b/ci/config_tpl/bundle_tpl/bundle.yaml
@@ -1,7 +1,7 @@
# vim: set ts=2 et:
{{ ubuntu.release }}-{{ os.release }}-nodes:
inherits: openstack-phase1
- overrides:
+ #overrides:
{% include 'phase2-overrides.yaml' %}
{{ ubuntu.release }}-{{ os.release }}: